import request from '@/utils/request'

// 查询市场监管-产品召回列表
export function listRecall(query) {
    return request({
        url: '/crmProductRecall/findByPage',
        method: 'get',
        params: query
    })
}

// 查询市场监管-产品召回详细
export function getRecall(id) {
    return request({
        url: '/crmProductRecall/' + id,
        method: 'get'
    })
}

// 新增市场监管-产品召回
export function addRecall(data) {
    return request({
        url: '/crmProductRecall',
        method: 'post',
        data: data
    })
}

// 修改市场监管-产品召回
export function updateRecall(data) {
    return request({
        url: '/crmProductRecall',
        method: 'put',
        data: data
    })
}

// 删除市场监管-产品召回
export function delRecall(id) {
    return request({
        url: '/crmProductRecall/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delRecallBatch(ids) {
    console.log(ids);
    return request.post('/crmProductRecall/delete',ids)
}